/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.accservice.event;

import java.util.EventListener;

/**
 */
public interface TopLevelWindowEventListener extends EventListener
{

	/**TopLevelWindowEvent 
	 * occurs when a TopLevelWindowEvent has been created
	 * 
	 * @param e - TopLevelWindowEvent
	 */
	public void WindowEventCreated (TopLevelWindowEvent e);
}
