/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 
/*
 * Created on May 3, 2005
 *
 */

package org.eclipse.actf.validation.core;

/**
 * @author barryf
 * 
 */
public class ValidationProcessException extends Exception {

	/**
	 * 
	 */
	public ValidationProcessException() {
		super();
	}

	/**
	 * @param message
	 */
	public ValidationProcessException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public ValidationProcessException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public ValidationProcessException(String message, Throwable cause) {
		super(message, cause);
	}
}
