
/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 
package org.eclipse.actf.validation.rulebase;

public abstract class RuleBaseMapBuilder {

	/**
	 * @param document
	 */
	public RuleBaseMapBuilder(Object document) {
		super();
	}
	
	/**
	 * @return the descriptors
	 */
	public IRuleBaseDescriptor[] getRuleBaseDescriptors() {
		return null;
	}


	protected abstract IRuleBaseDescriptor parseRuleBaseDescriptor(Object document);
}
