/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.rules;

import java.util.Iterator;

public class ArrayIterator implements Iterator {
	
	private Object[] array;
	private int index;

	public ArrayIterator (Object collection) {
		if (collection.getClass().isArray()) {
			array = (Object[]) collection;
		}
	}
	
	public boolean hasNext() {
		return index < array.length;
	}

	public Object next() {
		return array[index++];
	}

	public void remove() {
	}

}
