/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html

* Contributors: 
* IBM Corporation - initial API and implementation
*******************************************************************************/
package org.eclipse.actf.validation.ui.filters;

import org.eclipse.actf.validation.rules.ScriptRule;
import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerFilter;

public class RuleViewerFilter extends ViewerFilter {

	@Override
	public boolean select(Viewer viewer, Object parentElement, Object element) {
		boolean result = true;
		if (element instanceof ScriptRule){
			result = false;
		}
		return result;
	}

}
