/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html

* Contributors: 
* IBM Corporation - initial API and implementation
*******************************************************************************/ package org.eclipse.actf.validation.ui.providers;

import org.eclipse.actf.validation.rulebase.IRuleBase;
import org.eclipse.actf.validation.rules.ICriterion;
import org.eclipse.actf.validation.rules.IRule;
import org.eclipse.actf.validation.ui.views.RuleDetailsPage;
import org.eclipse.actf.validation.ui.views.RulebaseDetailsPage;
import org.eclipse.ui.forms.IDetailsPage;
import org.eclipse.ui.forms.IDetailsPageProvider;

public class RuleViewerDetailsPageProvider implements IDetailsPageProvider {

	public IDetailsPage getPage(Object key) {
		return null;
	}
		

	public Object getPageKey(Object object) {
		if (object instanceof IRuleBase){
			return RulebaseDetailsPage.class;
		}
		if (object instanceof IRule) {
			return RuleDetailsPage.class;
		}
		if (object instanceof ICriterion){
			return RuleDetailsPage.class;
		}
		return object.getClass();
		
	}

}
