/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.views;

import org.eclipse.swt.events.ControlAdapter;
import org.eclipse.swt.events.ControlEvent;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Table;

/**
 * @author barryf
 *
 */
public class TableViewerControlAdapter extends ControlAdapter
{

	Table t;

	public TableViewerControlAdapter (Table t) {
		this.t = t;
	}

	public void controlResized (ControlEvent e) {
		Point s = ((Control) e.getSource()).getSize();
		t.setSize(s);
	}
}
