/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.valdoc.codeproc;

/**
 * @author John Buslawski
 * 
 */
public class EvaluationException extends Exception {

	/**
	 * 
	 */
	public EvaluationException() {
		super();
	}

	/**
	 * @param message
	 */
	public EvaluationException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public EvaluationException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public EvaluationException(String message, Throwable cause) {
		super(message, cause);
	}
}
