/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.webelo.ui.actions;

import org.eclipse.actf.validation.ui.actions.AbstractAction;
import org.eclipse.actf.webelo.ui.MozillaValidationUIPlugin;
import org.eclipse.actf.webelo.ui.dialogs.OpenWebBrowserDialog;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.IDialogConstants;
import org.eclipse.swt.widgets.Shell;


public class OpenWebBrowserAction extends AbstractAction
{

	public OpenWebBrowserAction () {
		super();
	}

	public void run (IAction action) {
		Shell shell = MozillaValidationUIPlugin.getDefault().getWorkbench().getActiveWorkbenchWindow().getShell();
		OpenWebBrowserDialog dialog = new OpenWebBrowserDialog(shell);
			if (dialog.open() != IDialogConstants.OK_ID) {
				return;			}
		}
}
