/*******************************************************************************
 * Copyright (c) 2004, 2008 IBM Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.actf.accservice.core.win32.ia2;

import java.util.HashMap;
import java.util.Map;

public class IA2AccessibleElement {

	protected Map errorCodeReturnMap = new HashMap();
	public static String errString = "HRESULT = ";

	protected void putErrorCode(String key, String value){
		if(errorCodeReturnMap!=null){
			if(!errorCodeReturnMap.containsKey(key))
				errorCodeReturnMap.put(key, errString.concat(value) );
			}
	}
	public Map errorCodeMap(){
		return errorCodeReturnMap;
	}
}
