/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.core;

/**
 * 
 */
public class ValidationProcessConstants {

	public static final String ACCESSIBILITY = "accessibility";

	public static final String FOCUS = "focus";

	// Constants used for specific ExecutionPoint types. These constants are
	// needed for the first implementation of the new validation engine code
	// where we had to hard code the execution point names we used. In future
	// releases, we should be using the names from the rulebase xml documents.
	public static final String VISIBILITY = "visibility";
}
