/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.rules;

import java.util.Iterator;

import org.w3c.dom.NodeList;

public class DomNodeIterator implements Iterator {

	private NodeList nodeList;
	private int index;

	public DomNodeIterator (Object collection) {
		if (collection instanceof NodeList) {
			nodeList = (NodeList) collection;
		}
	}
	
	public boolean hasNext() {
		return index < nodeList.getLength();
	}

	public Object next() {
		return nodeList.item(index++);
	}

	public void remove() {
	}

}
