/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.validators;

import org.eclipse.actf.validation.rules.IRuleSet;

/**
 * implementation of a validator for W3C DOM models
 * @author <a href="mailto:masquill@us.ibm.com">Mike Squillace</a>
 *
 */
public class DomAccessibilityValidator extends GenericAccessibilityValidator
{

	public DomAccessibilityValidator(IRuleSet ruleSet) {
		super(ruleSet);
	}

}
