/*******************************************************************************
* Copyright (c) 2004, 2008 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  IBM Corporation - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.webelo.core.validators;

import org.eclipse.actf.validation.rules.IRuleSet;
import org.eclipse.actf.validation.validators.GenericAccessibilityValidator;


/**
 * MozillaDomAccessibilityValidator is the Mozilla DOM specific implementation of the AccessbilityValidator
 * class.
 *  
 * @author John Buslawski
 */
public class MozillaDomAccessibilityValidator extends GenericAccessibilityValidator
{

	/**
	 * Create a new IEDomAccessibilityValidator for the given IRuleSet and 
	 * IValidationContext.
	 * 
	 * @param ruleSet -- the specific IRuleSet class where the rules for the
	 * 				component are defined 
	 */
	public MozillaDomAccessibilityValidator (IRuleSet ruleSet) {
		super(ruleSet);
	}
/*
	protected String formCategoryId (String nodeName, String compName, Object component) {
		StringBuffer idString = new StringBuffer();
		String htmlTagName = model.getNodeName(component);
		if (compName == null && component instanceof nsIDOMElement) {
			compName = ((nsIDOMElement) component).getAttribute("id");
		}
		String aliasValue = null;
		IRuleBaseMetadata metadata = ruleSet.getRuleBase().getMetadata();
		if (metadata instanceof IDocumentRuleBaseMetadata) {
			IDocumentRuleBaseMetadata drbMeta = (IDocumentRuleBaseMetadata) ruleSet.getRuleBase().getMetadata();
			aliasValue = drbMeta.getAliasValue(nodeName);
		}
		idString.append(htmlTagName == null ? aliasValue : htmlTagName);
		idString.append(':');
		idString.append(compName == null ? "<None>" : compName);
		return idString.toString();
	}
	*/
} // IEDomAccessibilityValidator
