/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 


package org.eclipse.actf.webelo.wst.ui.mozdom;

import org.eclipse.actf.validation.ui.launch.ValidationLaunchConfigurationTab;
import org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup;
import org.eclipse.debug.ui.CommonTab;
import org.eclipse.debug.ui.ILaunchConfigurationDialog;
import org.eclipse.debug.ui.ILaunchConfigurationTab;


public class MozValidationLaunchConfigurationTabGroup extends AbstractLaunchConfigurationTabGroup
{

	public MozValidationLaunchConfigurationTabGroup () {
		super();
	}
	
	public void createTabs(ILaunchConfigurationDialog dialog, String mode) {
		setTabs(new ILaunchConfigurationTab[] {
			new MozValidationLaunchConfigurationTab(mode),
			new ValidationLaunchConfigurationTab(),
			new CommonTab()
		});
	}
	
}
